OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.SGIS.DetailTexture

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetSGISDetailTexture :: MonadIO m => m Bool
- gl_SGIS_detail_texture :: Bool
- pattern GL_DETAIL_TEXTURE_2D_BINDING_SGIS :: GLenum
- pattern GL_DETAIL_TEXTURE_2D_SGIS :: GLenum
- pattern GL_DETAIL_TEXTURE_FUNC_POINTS_SGIS :: GLenum
- pattern GL_DETAIL_TEXTURE_LEVEL_SGIS :: GLenum
- pattern GL_DETAIL_TEXTURE_MODE_SGIS :: GLenum
- pattern GL_LINEAR_DETAIL_ALPHA_SGIS :: GLenum
- pattern GL_LINEAR_DETAIL_COLOR_SGIS :: GLenum
- pattern GL_LINEAR_DETAIL_SGIS :: GLenum
- glDetailTexFuncSGIS :: MonadIO m => GLenum -> GLsizei -> Ptr GLfloat -> m ()
- glGetDetailTexFuncSGIS :: MonadIO m => GLenum -> Ptr GLfloat -> m ()

# Extension Support

glGetSGISDetailTexture :: MonadIO m => m Bool Source #

Is the SGIS_detail_texture extension supported?

gl_SGIS_detail_texture :: Bool Source #

Is the SGIS_detail_texture extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSGISDetailTexture` in those cases instead.

# Enums

pattern GL_DETAIL_TEXTURE_2D_BINDING_SGIS :: GLenum Source #

pattern GL_DETAIL_TEXTURE_2D_SGIS :: GLenum Source #

pattern GL_DETAIL_TEXTURE_FUNC_POINTS_SGIS :: GLenum Source #

pattern GL_DETAIL_TEXTURE_LEVEL_SGIS :: GLenum Source #

pattern GL_DETAIL_TEXTURE_MODE_SGIS :: GLenum Source #

pattern GL_LINEAR_DETAIL_ALPHA_SGIS :: GLenum Source #

pattern GL_LINEAR_DETAIL_COLOR_SGIS :: GLenum Source #

pattern GL_LINEAR_DETAIL_SGIS :: GLenum Source #

# Functions

glDetailTexFuncSGIS Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLsizei | `n`.
-> Ptr GLfloat | `points` pointing to `n*2` elements of type `GLfloat`.
-> m () |

glGetDetailTexFuncSGIS Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> Ptr GLfloat | `points` pointing to `COMPSIZE(target)` elements of type `GLfloat`.
-> m () |